Bug 66185 - Feature request: IDE - Code auto complete for writing macros
Summary: Feature request: IDE - Code auto complete for writing macros
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
: 92252 92253 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-06-26 03:44 UTC by alberto
Modified: 2015-10-14 09:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alberto 2013-06-26 03:44:19 UTC
A feature lacking in LibreOffice holding me to make the switch is the ability for the IDE to auto complete (ie. give suggestions according to the API) when writing code.

For example, when writing a VBA macro with MS Office, if I write:

"Object.", then after a couple of milisseconds (or after pressing Ctrl+Space), a drop-down list with the possible methods and variables are shown.

This makes coding a lot faster, because I don´t need to keep switching windows to consult the LibreOffice API in almost every line of code written on the web browser.
Comment 1 Cor Nouws 2013-06-26 06:09:39 UTC
Hi Alberto,
Thanks for writing this long existing wish in an issue.
I set the version against 3.3.0 - it's obviously inherrited behaviour from OOo.
Also, knowing the discussions, there are some technical reasons why this probably is not an easy to resolve issue ;)
Pls look for support with XRay and examples, forums to help you master LibreOffice scripting !
Regards,
Cor
Comment 2 QA Administrators 2015-03-16 23:41:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

    Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
    https://www.libreoffice.org/download/

    If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
  
  If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

    Update the version field
    Reply via email (please reply directly on the bug tracker)
    Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-03-16
Comment 3 Cor Nouws 2015-03-17 08:50:52 UTC
Is a feature request. Still valid.
Comment 4 Óvári 2015-06-23 07:46:33 UTC
*** Bug 92253 has been marked as a duplicate of this bug. ***
Comment 5 Óvári 2015-06-23 07:47:51 UTC
*** Bug 92252 has been marked as a duplicate of this bug. ***
Comment 6 Óvári 2015-10-14 09:53:43 UTC
Is "YouCompleteMe — Ultimate Autocomplete Plugin for Vim" useful here? The link below shows a demo of YCM.
http://www.alexeyshmalko.com/2014/youcompleteme-ultimate-autocomplete-plugin-for-vim/

"Quick overview
YouCompleteMe (YCM) is a fast, as-you-type code completion engine for Vim. It combines output from several sources: an identifier-based engine that works with every programming language, a semantic, Clang-based engine that provides native semantic code completion for C/C++/Objective-C/Objective-C++ (from now on referred to as “the C-family languages”), a Jedi-based completion engine for Python, an OmniSharp-based completion engine for C# and an omnifunc-based completer that uses data from Vim’s omnicomplete system to provide semantic completions for many other languages (Ruby, PHP etc). And prioritize them with a complex algorithm."

The quick overview states that YCM has a completion engine for Python.

The upcoming LO 5.1 has a feature:
"Make PyUNO provide more Pythonic behaviour (Matthew J. Francis)"
https://wiki.documentfoundation.org/ReleaseNotes/5.1#Make_PyUNO_provide_more_Pythonic_behaviour_.28Matthew_J._Francis.29

Perhaps YCM could be utilized in the IDE.

More information about YouCompleteMe (YCM) available here:
https://github.com/Valloric/YouCompleteMe

Thank you
Comment 7 Óvári 2015-10-14 09:59:56 UTC
YouCompleteMe
A code-completion engine for Vim
http://valloric.github.io/YouCompleteMe/

The bottom of the pages states that the software is licensed under GPL v3.

Thank you